# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-tt-rss
%define version 0.1
%define release 3
Summary: sme server integration of tt-rss
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-tt-rss-0.1-disable_cronjob.patch
Patch2: smeserver-tt-rss-0.1-support_ttrss_1.5.2.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release
Requires: tt-rss >= 1.5.1
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of openupload.
OpenUpload is an open source application to share files over
the internet (like MegaUpload or RapidShare for example)

%changelog
* Wed Jan 26 2011 Daniel B. <daniel@firewall-services.com> 0.1-3
- Support tt-rss 1.5.1

* Mon Jan 03 2011 Daniel B. <daniel@firewall-services.com> 0.1-2
- disable cron job, as feeds are updated via the daemon

* Mon Jan 03 2011 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
perl ./createlinks
%{__mkdir_p} root/var/log/tt-rss

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /var/service/tt-rss/run 'attr(0755,root,root)' \
  --file /var/service/tt-rss/log/run 'attr(0755,root,root)' \
  --dir /var/log/tt-rss 'attr(0770,root,smelog)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop tt-rss status disabled
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

true

